Bug 206014 - Without libbeagle installed, virt-manager throws an error
Without libbeagle installed, virt-manager throws an error
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-09-11 10:51 EDT by Chris Lalancette
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-13 15:33:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2006-09-11 10:51:57 EDT
Description of problem:

If you don't have libbeagle installed, when doing "Restore Virtual Machine",
virt-manager will throw this error:

/usr/share/virt-manager/virtManager/manager.py:167: GtkWarning: Can't open
libbeagle 'libbeagle.so.0: cannot open shared object file: No such file or

It might be related to the GTK file-chooser dialog that pops up.  It's not
fatal, and doesn't seem to actually break anything, so I'm not sure if you
should make it a Requires or not.
Comment 1 Daniel Berrange 2006-09-12 19:27:33 EDT
We aren't explicitly using beagle for any part of virt-manager. Its
unfortunately pulled in by the GTK FileChooserDialog which is spewing this
warning message to the console. Ideally GTK would just shut-up about beagle if
its not there rather than printing these messages which appear to the user like
application bugs :-(
I'll investigate if there's anything in GTK which can be done for this...
Comment 2 Matthias Clasen 2006-10-30 12:44:41 EST
I believe I killed that warning.
Comment 3 Hugh Brock 2006-12-13 15:33:06 EST
Verified fixed in fc6. Closing.

Note You need to log in before you can comment on or make changes to this bug.